import '../entities/promo_code_result.dart';
import '../repositories/promo_code_repository.dart';

class ApplyPromoCodeUsecase {
  final PromoCodeRepository repository;

  ApplyPromoCodeUsecase(this.repository);

  Future<PromoCodeResult> call(String code) {
    return repository.applyPromoCode(code);
  }
}